<?php
$t = 'Смена пароля';
require_once '../../wcore/core.php';
require_once '../../wcore/head.php';
iank();
if (isset($_POST['ok']) && isset($_POST['oldpasswd']) && isset($_POST['newpasswd']) && isset($_POST['reppasswd']) && !empty($_POST['oldpasswd']) && !empty($_POST['newpasswd']) && !empty($_POST['reppasswd'])){
    $oldpwd = antixs($_POST['oldpasswd']);
    $newpwd = antixs($_POST['newpasswd']);
    $reppwd = antixs($_POST['reppasswd']);
    
    if (security($oldpwd) != $ank->ps){
        echo msg_err('err',$lang['change_pwd_e_1']);
        require_once '../../wcore/foot.php';
        exit();
    }
    
    if ($newpwd != $reppwd){
        echo msg_err('err',$lang['change_pwd_e_2']);
        require_once '../../wcore/foot.php';
        exit();
    }
    
    if (strlen($newpwd) < 8 || strlen($newpwd) > 32 || strlen($reppwd) < 8 || strlen($reppwd) > 32 ){
        echo msg_err('err',$lang['change_pwd_e_3']);
        require_once '../../wcore/foot.php';
        exit();
    }
    $ps = security($newpwd);
    $mailsend->SendEmail($ank->email, 'Смена пароля', 'Здравствуйте, '.$ank->login.'!<br>Вы сменили пароль от хостинга сайтов '.domain.'<br>Ваш новый пароль: <b>'.$newpwd.'</b><br>Это автоматическое сообщение и на него отвечать не требуется.');
    mysqli_query($mysqli,"UPDATE `users` SET `ps`='$ps' WHERE `id`= '$ank->id'");
    setcookie('ps', $ps, time()+60*60*24,'/');
    echo msg_err('suc',$lang['change_pwd_e_4']);
    require_once '../../wcore/foot.php';
    exit();
}

echo $twig->render('pages_users_pwd.tpl', array(
    'lang' =>$lang,
    'crfs'=>_csrf(),
    
));
require_once '../../wcore/foot.php';
?>